mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

A is a transformation that takes an input and returns a fixed-size string, which is called the hash value (that is, = ()). Hash functions with just this property have a variety of general computational uses, but when employed in cryptography, the hash functions are usually chosen to have some additional properties.

The basic requirements for a cryptographic hash function are:

The input can be of any length.

The output has a fixed length.

( is relatively easy to compute for any given x.

() is one-way.

() is collision-free.

The hash value represents concisely the longer message or document from which it was computed; this value is called the message digest. You can think of a message digest as a digital fingerprint of the larger document. Examples of well-known hash functions are MD2 and and SHA.

Specifies all the hash algorithms used for hashing files and for generating the strong name.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm To be added

  Retrieves the MD5 message-digest algorithm. MD5 was developed by Rivest in 1991. It is basically MD4 with safety-belts and while it is slightly slower than MD4, it helps provide more security. The algorithm consists of four distinct rounds, which has a slightly different design from that of MD4. Message-digest size, as well as padding requirements, remain the same.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm To be added

  A mask indicating that there is no hash algorithm. If you specify None for a multi-module assembly, the common language runtime defaults to the SHA1 algorithm, since multi-module assemblies need to generate a hash.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm To be added

  A mask used to retrieve a revision of the Secure Hash Algorithm that corrects an unpublished flaw in SHA.

- Field
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm

  A mask used to retrieve a version of the Secure Hash Algorithm with a hash size of 256 bits.

- Field
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm

  A mask used to retrieve a version of the Secure Hash Algorithm with a hash size of 384 bits.

- Field
  4.0.0.0
  System.Configuration.Assemblies.AssemblyHashAlgorithm

  A mask used to retrieve a version of the Secure Hash Algorithm with a hash size of 512 bits.